G_BEGIN_DECLS

typedef void (*tpl_cli_logger_signal_callback_favourite_contacts_changed) (TpProxy *proxy,
    const gchar *arg_Account,
    const gchar **arg_Added,
    const gchar **arg_Removed,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tpl_cli_logger_connect_to_favourite_contacts_changed (TpProxy *proxy,
    tpl_cli_logger_signal_callback_favourite_contacts_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

#ifndef __GTK_DOC_IGNORE__
static inline TpProxySignalConnection *
_tpl_cli_logger_connect_to_favourite_contacts_changed (TpProxy *proxy,
    tpl_cli_logger_signal_callback_favourite_contacts_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error)
{
  g_return_val_if_fail (TP_IS_PROXY (proxy), NULL);
  return tpl_cli_logger_connect_to_favourite_contacts_changed (proxy, callback, user_data,
      destroy, weak_object, error);
}
#define tpl_cli_logger_connect_to_favourite_contacts_changed(...) _tpl_cli_logger_connect_to_favourite_contacts_changed (__VA_ARGS__)
#endif /* __GTK_DOC_IGNORE__ */
typedef void (*tpl_cli_logger_callback_for_get_favourite_contacts) (TpProxy *proxy,
    const GPtrArray *out_Favourite_Contacts,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tpl_cli_logger_call_get_favourite_contacts (TpProxy *proxy,
    gint timeout_ms,
    tpl_cli_logger_callback_for_get_favourite_contacts callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

#ifndef __GTK_DOC_IGNORE__
static inline TpProxyPendingCall *
_tpl_cli_logger_call_get_favourite_contacts (TpProxy *proxy,
    gint timeout_ms,
    tpl_cli_logger_callback_for_get_favourite_contacts callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object)
{
  g_return_val_if_fail (TP_IS_PROXY (proxy), NULL);
  return tpl_cli_logger_call_get_favourite_contacts (proxy, timeout_ms,
      callback, user_data, destroy, weak_object);
}
#define tpl_cli_logger_call_get_favourite_contacts(...) _tpl_cli_logger_call_get_favourite_contacts (__VA_ARGS__)
#endif /* __GTK_DOC_IGNORE__ */

typedef void (*tpl_cli_logger_callback_for_add_favourite_contact) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tpl_cli_logger_call_add_favourite_contact (TpProxy *proxy,
    gint timeout_ms,
    const gchar *in_Account,
    const gchar *in_Identifier,
    tpl_cli_logger_callback_for_add_favourite_contact callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

#ifndef __GTK_DOC_IGNORE__
static inline TpProxyPendingCall *
_tpl_cli_logger_call_add_favourite_contact (TpProxy *proxy,
    gint timeout_ms,
    const gchar *in_Account,
    const gchar *in_Identifier,
    tpl_cli_logger_callback_for_add_favourite_contact callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object)
{
  g_return_val_if_fail (TP_IS_PROXY (proxy), NULL);
  return tpl_cli_logger_call_add_favourite_contact (proxy, timeout_ms,
    in_Account,
    in_Identifier,
      callback, user_data, destroy, weak_object);
}
#define tpl_cli_logger_call_add_favourite_contact(...) _tpl_cli_logger_call_add_favourite_contact (__VA_ARGS__)
#endif /* __GTK_DOC_IGNORE__ */

typedef void (*tpl_cli_logger_callback_for_remove_favourite_contact) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tpl_cli_logger_call_remove_favourite_contact (TpProxy *proxy,
    gint timeout_ms,
    const gchar *in_Account,
    const gchar *in_Identifier,
    tpl_cli_logger_callback_for_remove_favourite_contact callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

#ifndef __GTK_DOC_IGNORE__
static inline TpProxyPendingCall *
_tpl_cli_logger_call_remove_favourite_contact (TpProxy *proxy,
    gint timeout_ms,
    const gchar *in_Account,
    const gchar *in_Identifier,
    tpl_cli_logger_callback_for_remove_favourite_contact callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object)
{
  g_return_val_if_fail (TP_IS_PROXY (proxy), NULL);
  return tpl_cli_logger_call_remove_favourite_contact (proxy, timeout_ms,
    in_Account,
    in_Identifier,
      callback, user_data, destroy, weak_object);
}
#define tpl_cli_logger_call_remove_favourite_contact(...) _tpl_cli_logger_call_remove_favourite_contact (__VA_ARGS__)
#endif /* __GTK_DOC_IGNORE__ */

typedef void (*tpl_cli_logger_callback_for_clear) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tpl_cli_logger_call_clear (TpProxy *proxy,
    gint timeout_ms,
    tpl_cli_logger_callback_for_clear callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

#ifndef __GTK_DOC_IGNORE__
static inline TpProxyPendingCall *
_tpl_cli_logger_call_clear (TpProxy *proxy,
    gint timeout_ms,
    tpl_cli_logger_callback_for_clear callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object)
{
  g_return_val_if_fail (TP_IS_PROXY (proxy), NULL);
  return tpl_cli_logger_call_clear (proxy, timeout_ms,
      callback, user_data, destroy, weak_object);
}
#define tpl_cli_logger_call_clear(...) _tpl_cli_logger_call_clear (__VA_ARGS__)
#endif /* __GTK_DOC_IGNORE__ */

typedef void (*tpl_cli_logger_callback_for_clear_account) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tpl_cli_logger_call_clear_account (TpProxy *proxy,
    gint timeout_ms,
    const gchar *in_Account,
    tpl_cli_logger_callback_for_clear_account callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

#ifndef __GTK_DOC_IGNORE__
static inline TpProxyPendingCall *
_tpl_cli_logger_call_clear_account (TpProxy *proxy,
    gint timeout_ms,
    const gchar *in_Account,
    tpl_cli_logger_callback_for_clear_account callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object)
{
  g_return_val_if_fail (TP_IS_PROXY (proxy), NULL);
  return tpl_cli_logger_call_clear_account (proxy, timeout_ms,
    in_Account,
      callback, user_data, destroy, weak_object);
}
#define tpl_cli_logger_call_clear_account(...) _tpl_cli_logger_call_clear_account (__VA_ARGS__)
#endif /* __GTK_DOC_IGNORE__ */

typedef void (*tpl_cli_logger_callback_for_clear_entity) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tpl_cli_logger_call_clear_entity (TpProxy *proxy,
    gint timeout_ms,
    const gchar *in_Account,
    const gchar *in_Identifier,
    gint in_Type,
    tpl_cli_logger_callback_for_clear_entity callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

#ifndef __GTK_DOC_IGNORE__
static inline TpProxyPendingCall *
_tpl_cli_logger_call_clear_entity (TpProxy *proxy,
    gint timeout_ms,
    const gchar *in_Account,
    const gchar *in_Identifier,
    gint in_Type,
    tpl_cli_logger_callback_for_clear_entity callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object)
{
  g_return_val_if_fail (TP_IS_PROXY (proxy), NULL);
  return tpl_cli_logger_call_clear_entity (proxy, timeout_ms,
    in_Account,
    in_Identifier,
    in_Type,
      callback, user_data, destroy, weak_object);
}
#define tpl_cli_logger_call_clear_entity(...) _tpl_cli_logger_call_clear_entity (__VA_ARGS__)
#endif /* __GTK_DOC_IGNORE__ */

void tpl_cli_misc_add_signals (TpProxy *self,
    guint quark,
    DBusGProxy *proxy,
    gpointer unused);

G_END_DECLS
